# vmo - Python Variable Markov Oracle Library
[![Build Status](https://travis-ci.org/wangsix/vmo.svg?branch=master)](https://travis-ci.org/wangsix/vmo)

Maintained by the Center for Research in Entertainment and Learning 
(CREL) @UCSD

Contacts
--------
Cheng-i Wang, chw160@ucsd.edu
Shlomo Dubnov, sdubnov@ucsd.edu


About
-----
vmo is a Python library for time series and symbolic sequence analysis/synthesis 
in the family of software built around the Factor Oracle and Variable Markov Oracle algorithms. 
One of the main innovations in vmo is using functions related to Information Dynamics to
determine oracle structure and query-matching algorithms.


Installation
------------
run 
```python setup.py install```
or 
```pip install vmo```

Friendly Reminder
-----------------
If the VMO package is used for any research works result in publications, please cite the following paper.

For machine improvisation and sequence generation,
[![DOI:10.1145/2905371](https://zenodo.org/badge/DOI/https://doi.org/10.1145/2905371.svg)](https://doi.org/10.1145/2905371).

For motif discovery and segmentation,
[![DOI:10.1109/icassp.2015.7178056](https://zenodo.org/badge/DOI/https://doi.org/10.1109/icassp.2015.7178056.svg)](https://doi.org/10.1109/icassp.2015.7178056).

For human gesture applications,
[![DOI:10.1109/mmul.2015.76](https://zenodo.org/badge/DOI/https://doi.org/10.1109/mmul.2015.76.svg)](https://doi.org/10.1109/mmul.2015.76).
